Arb Changelog
=========

[0.2.0](https://github.com/tyjvazum/arb/releases/tag/v0.2.0) - 2023-05-13
---------------------------------------------------------------------

### Added
- Add support for Envelope Expansions
- Add write support for Arbitrary Protocol Inscriptions https://github.com/tyjvazum/arb/issues/1
- Add support for Content Compression https://github.com/tyjvazum/arb/issues/2
- Add support for Inscription Metadata (JSON) https://github.com/tyjvazum/arb/issues/6
- Add support for Non-tracked / Non-transferable Inscriptions https://github.com/tyjvazum/arb/issues/8
- Add support for Off-chain Content (BitTorrent) https://github.com/tyjvazum/arb/issues/9
- Add support for Optional Title, Subtitle, Description, License, and Comment Fields

[0.1.0](https://github.com/tyjvazum/arb/releases/tag/v0.1.0) - 2023-04-05
---------------------------------------------------------------------

### Changed
- Branding
- License

### Fixed
- Workflows

Ord Changelog
=========

[0.5.1](https://github.com/casey/ord/releases/tag/0.5.1) - 2023-02-21
---------------------------------------------------------------------

### Performance
- Batch tx requests and re-enable skipping transactions (#1759)

### Added
- Add option to set inscription destination address (#1536)
- Allow supplying passphrase for `ord wallet create` and `ord wallet restore` (#1669)
- Add `--config-dir` option (#1697)

### Changed
- Require users manually specify a `--fee-rate` for `wallet send` (#1755)

### Documentation
- Add Sparrow Wallet Guide to Handbook (#1742)

### Misc
- Handle block count RPC error gracefully (#1637)
- Fix typos in overview.md (#1715)
- Typo fix (#1682)
- README typo fix (#1716)
- Fix changelog dates: 2022 → 2023 (#1700)
- Bump version number (#1695)

[0.5.0](https://github.com/casey/ord/releases/tag/0.5.0) - 2023-02-11
---------------------------------------------------------------------

### Breaking Changes
- Upgrade to redb 0.13.0 (#1513)
- Update redb to 0.12.1 (#1329)
- Display inscription genesis fee (#1381)

### Added
- Add support for `.glb` inscriptions (#1689)
- Add --no-limit flag to bypass MAX_STANDARD_TX_WEIGHT check to allow four meggers (#1571)
- Add `--commit-fee-rate` for setting inscribe commit transaction fee rate (#1490)
- Allow viewing but not creating AVIF inscriptions (#1428)
- Support STL inscriptions (#1492)
- Support MP4 inscriptions (#1419)
- Preview JSON and YAML inscriptions as text (#1449)
- Display inputs on /tx (#1433)
- Support PGP signature inscriptions (#1413)
- Add config (#1392)
- Add paging to /inscriptions (#1279)

### Changed
- Increase deployment mempool size to 1024 megabytes (#1587)
- Increase number of inscriptions in RSS feed (#1567)
- Link to block from /inscription (#1395)
- Use favicon as icon for Twitter preview (#1425)
- Allow data URIs in content security policy (#1422)
- Raise server open file limit (#1408)
- Remove HTTP to HTTPS redirect (#1414)
- Use JSON for more command output (#1367)
- Use JSON for `wallet` command output (#1359)

### Misc
- Set rustc version in Cargo.toml & README (#1615)
- Disable Prettier format-on-save (#1593)
- Add build instructions to README (#1573)
- Ensure wallet commands load wallet (#1524)
- Improve error messages related to cookie file (#1537)
- Include inscription ID in text inscription decode error (#1540)
- Lazily load iframes (#1456)
- Log recoverable errors as warnings
- Add alert pop-up example (#1498)
- Use custom Discord invite link in handbox (#1506)
- Note that bounty 3 requires sat index (#1509)
- Link donation addresses to mempool.space (#1510)
- Add linebreak to donate page (#1500)
- Add donate page to handbook (#1499)
- Moderation guide typo: wiht → with (#1483)
- Add moderation guide (#1473)
- Add collecting guide to docs (#1474)
- Add missing dependencies to shell.nix (#1463)
- Mute and autoplay video inscriptions (#1420)
- Throw an error Bitcoin Core wallet and ord index are out of sync (#1459)
- Typo: managment -> management (#1441)
- Fix README.md grammar (#1406)
- Typo: Aritacts -> Artifacts (#1434)
- Update justfile to use unproxied domains (#1391)
- Typo: sat -> sats (#1411)
- Docs: `ord wallet utxos` -> `ord wallet outputs` (#1405)
- Round expected sat timestamps (#1386)
- Remove ellipsis (#1376)
- Hide overflowing ordered lists (#1384)
- Compress responses (#1366)
- Avoid listening on 0.0.0.0 in tests (#1365)
- Rename `GitHub` nav link to `Wallet` (#1360)

[0.4.2](https://github.com/casey/ord/releases/tag/0.4.2) - 2023-01-24
---------------------------------------------------------------------

### Changed
- Fetch transactions below first inscription height

### Fixed
- Fix install script directory (#1356)

### Misc
- Fix guide typo: getblockchount -> getblockcount (#1354)

[0.4.1](https://github.com/casey/ord/releases/tag/0.4.1) - 2023-01-24
---------------------------------------------------------------------

### Added
- Support video inscriptions (#1349)
- Support PDF Inscriptions (#1352)
- Display lost sats on /output (#1336)
- Show explorer URLs in `ord wallet inscriptions` (#1308)

### Changed
- Display timestamps as UTC (#1348)
- Enable pointer events on inscription page iframes (#1344)
- Exclude inscribed utxos when calculating wallet balance (#1341)

### Misc
- Activate nav arrows on single tap on iOS Safari (#1347)
- Ignore keyboard events search box has focus (#1346)
- Cache content responses (#1318)
- Show unordered list decorations (#1353)
- Update inscriptions guide for mainnet (#1342)
- Hide list overflow and break dl overflow between words (#1343)
- Add white on black fish eye logo (#1325)
- Un-reverse thumbnail row order (#1321)
- Deploy branches other than master to mainnet (#1319)
- Add Just recipe to deploy to all chains (#1313)
- Display newest inscriptions on right (#1311)
- Allow publishing arbitrary revisions with publish recipe (#1307)
- Make genesis clock mark orange and add tooltip to height (#1312)
- Serve favicon as PNG to Safari and SVG others (#1302)
- Use sans-serif font for height on clock (#1300)

[0.4.0](https://github.com/casey/ord/releases/tag/0.4.0) - 2023-01-19
---------------------------------------------------------------------

### Added
- Support searching for inscription IDs (#1294)
- Add RSS feed (#1229)
- Add --dry-run-flag (#1265)
- Support recovering wallet from mnemonic (#1215)
- Audio inscriptions (#1241)
- Allow using custom fee rate (#1150)
- Show timestamp on /inscription (#1200)
- Add prev and next links to /inscription (#1193)
- Show address on /inscription (#1187)
- Add --limit to `ord wallet transaction` (#1049)
- Add `ord preview` (#1089)
- Add `ord wallet balance` (#1047)
- Support HTML and SVG inscriptions (#1035)
- Display genesis height on inscription page (#1026)
- Support more image types (#1020)
- Support GIFs (#1013)

### Changed
- Poll Bitcoin Core less frequently (#1268)
- Automatically load wallet (#1210)
- Ignore inscriptions on sat after first (#1214)
- Allow right-click to save image inscriptions (#1218)
- Scale text inscriptions to fit preview (#1222)
- Convert `ord wallet inscriptions` to JSON (#1224)
- Improve error when preview fails to launch bitcoind (#1243)
- Output inscription ID from `ord wallet inscribe` (#1208)
- Allow arbitrary wallet names (#1207)
- Use distinct inscription IDs (#1201)
- Remove ordinal addresses (#1197)
- Create taproot-only wallets (#1158)
- Check schema when opening index (#1127)
- Teach `ord wallet send` to send cardinal sats (#1137)
- Rename `ord wallet utxos` → `ord wallet outputs` (#1148)
- Swap arguments to ord wallet send (#1142)
- Rename --index-satoshis → --index-sats (#993)

### Fixed
- Fix preview for inscriptions with no body (#1287)
- Bail if reveal transaction is too large (#1272)
- Increase commit transaction output to pay for reveal transaction (#1242)
- Fix inscription thumbnail links (#1199)
- Use outpoint value table correctly and cache values in memory(#1172)
- Fix install script targets (#1120)

### Misc
- Use examples in core preview test (#1289)
- Use array for transaction builder change addresses (#1281)
- Fuzz test TransactionBuilder (#1283)
- Adopt Fish Eye logo (#1270)
- Split library and binary (#1273)
- Fix preview kill on drop (#1260)
- Add warning to readme (#1213)
- Run ignored tests in `ci` recipe (#1259)
- Add Bitcoin Core test job to CI (#1191)
- Add digital artifacts page to handbook (#1165)
- Use numbers in page titles (#1221)
- Set strict transport security header (#1216)
- Simplify BIP (#1226)
- Document required Bitcoin Core version for inscribing (#1225)
- Index lost sat ranges (#1227)
- Link to /block from /sat (#1228)
- Print index path in `ord info` (#1232)
- Add backlinks from /output and /transaction (#1235)
- Don't check lockfile on CI (#1209)
- Redirect HTTP to HTTPS (#1198)
- Test that inscriptions in additional envelopes and outputs are ignored (#1190)
- Use "sat" throughout codebase (#1184)
- Enable firewall on deployments (#1186)
- Request bech32m addresses in preview command (#1183)
- Use mainnet in tests (#1185)
- Move wallet tests into submodules (#1182)
- Link to /sat from /inscription (#1176)
- Match inscription preview and site background colors (#1175)
- Test that envelopes not starting with OP_FALSE are ignored (#1171)
- Update changelog (#1177)
- Remove mainnet wall restrictions (#1170)
- Ordinal addresses (#1163)
- Link outputs and inscriptions (#1162)
- Remove mainnet ord-dev index (#1164)
- Preview all inscriptions inside iframes (#1132)
- Remove inscriptions subcommand struct (#1151)
- Limit transaction count limit to u16::Max (#1152)
- Tweak homepage (#1124)
- Track fee-spent and lost inscriptions (#1125)
- Use InscriptionId in Reference (#1135)
- Avoid push_scriptint (#1136)
- Check Bitcoin Core version before inscribing (#1048)
- Display alpha in navbar on mainnet (#1122)
- Make PageHtml generic over PageContent type (#1123)
- Track inscriptions at offset and vout other than first (#1108)
- Unrecognized even fields are invalid (#1107)
- Add short flags (#1102)
- Document Debian dependencies (#1110)
- Add first testnet inscription height (#1109)
- Remove CORS headers (#1103)
- Don't wrap text inscriptions (#1100)
- Upgrade to redb 0.11.0 (#1099)
- Add quickstart script for macos (#1096)
- Remove text inscription anchor tag text decoration (#1084)
- Display inscription content on /inscriptions (#1077)
- Make inscription text white on inscription page (#1079)
- Move templates into root module (#1090)
- Show text inscriptions on homepage (#1058)
- Add white background to inscriptions (#1054)
- Show rare sat locations on /sat (#1029)
- Add first signet inscription height (#1016)
- Improve inscription style (#1025)
- Improve ord-dev recipes (#1022)
- Move inscription content above details (#1017)
- Style latest inscriptions (#1018)
- Print server URLs on startup (#1015)
- Add inscription page preview image (#1010)
- Show most recent inscriptions first on homepage and inscriptions page (#1011)
- Display graphical inscriptions on homepage (#1008)
- Add inscriptions page (#1009)
- Minimize transaction fetching (#1002)
- Rename `ord wallet satoshis` to `ord wallet sats` (#1004)
- Update introduction.md (#1000)
- Improve latest inscriptions style (#999)
- Show latest inscriptions on home page (#996)
- Add link to docs in readme (#995)
- Add inscription docs (#994)
- Fix softprops/actions-gh-release version (#992)
- Fuzz test transaction builder with multiple UTXOs (#1291)

[0.3.0](https://github.com/casey/ord/releases/tag/0.3.0) - 2022-12-16
---------------------------------------------------------------------

- Update CI dependencies (#986)
- Add /content endpoint (#976)
- Display content type and size /inscription (#975)
- Use "sat" in place of "ordinal" (#979)

[0.2.1](https://github.com/casey/ord/releases/tag/0.2.1) - 2022-12-14
---------------------------------------------------------------------

- Revise inscription guide after mainnet walkthrough (#968)

[0.2.0](https://github.com/casey/ord/releases/tag/0.2.0) - 2022-12-14
---------------------------------------------------------------------

- Add `ord wallet create` (#958)
- Add chain flags (#961)
- Make inscription parser more lenient (#956)
- Add `ord wallet transactions` (#951)
- Update dependencies (#955)
- Show inscription on reveal transaction page (#954)
- Mention that wallet may not need to be loaded (#953)
- Document install script (#952)
- Revise homepage (#950)
- Add content to guide page (#945)
- Mention incentive to run full node in FAQ (#948)
- Expand FAQ (#944)
- Change --index-ordinals to --index-satoshis (#942)
- Improve wording (#938)
- Add help text to subcommands (#934)
- Merge CI jobs into one workflow (#935)
- Add install script (#940)
- Build MacOS ARM Binaries (#941)
- Add inscription guide (#912)
- Allow inscribing without specifying a satpoint (#919)
- Add `ord wallet inscriptions` (#917)
- Add `ord wallet utxos` (#911)
- Add `ord wallet recieve` (#909)
- Fix signet block explorer link (#908)
- Opt wallet transactions into RBF (#901)
- Avoid `as` conversions (#903)
- Save commit transaction recovery key (#885)
- Refuse to send inscriptions by satpoint (#898)
- Limit inscription content to 1024 bytes on signet and testnet (#896)
- Extend bounty 3 (#897)
- Make inscription type more flexible (#892)
- Update dependencies (#894)
- Refuse to inscribe UTXOs with additional inscriptions (#880)
- Make inscriptions support backwards-compatible extension (#888)
- Refuse to send additional inscriptions (#881)
- Enable Windows tests on CI (#846)
- Refuse to inscribe sats that have already been inscribe (#878)
- Send by inscription ID (#877)
- Test commands which return errors when not tracking rare ordinals (#875)
- Don't store serialized inscriptions (#872)
- Do not select inscribed sats as cardinal utxos (#835)
- Make ord info work without ordinal index (#874)
- Improve subcommand names (#867)
- Calculate TXIDs in background thread (#866)
- Track inscription satpoints (#860)
- Add type aliases index for array types (#859)
- Index inscriptions when not indexing ordinals (#857)
- Use satpoints instead of ordinals in wallet commands (#849)
- Only request transactions if indexing ordinals (#851)
- Make analyzing index easier (#850)
- Add `ord list-ranges <OUTPOINT>` (#848)
- Conditionally disable ordinal index dependent server features (#845)
- Update redb (#832)
- Compress downloaded logs (#836)
- Only index ordinal ranges if `--index-ordinals` is passed (#837)
- Record commit block count and timestamp in index (#826)
- Add build-snapshots recipe (#831)
- Add minimum system requirements to readme (#829)
- Abort update if another has run concurrently (#830)
- Add benchmark-revision recipe (#827)
- Retry get_block_hash as well as get_block (#820)
- Update dependencies (#823)
- Add inscription page (#817)
- Add PNG inscriptions (#800)
- Disable inscriptions on mainnet (#814)
- Add benchmark recipe (#810)
- Display chain in header if not on mainnet (#809)
- Show difficulty target on block page (#750)
- Deduct fee before calculating reveal transaction signature (#780)
- Remove redundant wallet balance check (#764)
- Add `ord wallet inscribe` command (#658)
- Remove outdated runes and inscriptions (#760)
- Prevent progress bar from flickering when synced (#759)
- Fix graph command to work with new format (#755)
- Track ordinal ranges (#756)
- Use HTTP connection reusing `rust-jsonrpc` (#754)
- Extend bounty 3 by one difficulty adjustment period (#753)
- Replace binary search in epoch construction (#723)
- Search for ordinals in TSV using `ord wallet identify` (#729)
- Don't create acme cache dir (#727)
- Split up ci into test and lint workflows (#728)
- Enable CI for Windows (#603)
- Add bounty 3 (#725)
- Fetch blocks in background (#495)
- Don't call `apt-get update` in CI workflow (#719)
- Remove old recipes from justfile (#718)
- Update roadmap (#722)

[0.1.0](https://github.com/casey/ord/releases/tag/0.1.0) - 2022-10-25
---------------------------------------------------------------------

- Add index updater (#703)
- Speed up rarity check while indexing (#702)

[0.0.6](https://github.com/casey/ord/releases/tag/0.0.6) - 2022-10-25
---------------------------------------------------------------------

- Switch to ord-bitcoincore-rpc (#707)
- Start error messages with lowercase character (#693)
- Ensure addresses are valid for network (#698)
- Link videos from docs (#696)
- Restrict `ord wallet send` on mainnet (#687)
- Improve progress bar (#694)
- Note bounty 2 has been claimed (#700)
- Don't opt-in to RBF (#685)
- Don't unintentionally send rare ordinals (#683)
- Enforce transaction construction output address invariants (#682)
- Use worst-case fee estimates (#681)
- Add encoding to clock SVG (#678)
- Add helpers to make transaction builder tests more concise (#679)
- Don't use UTXOs with rare ordinals as cardinal inputs (#680)
- Improve not enough cardinal UTXOs error message (#675)
- Pad initial output to be above dust limit (#674)
- Start indexing progress bar at current height (#673)
- Add additional postage when necessary (#671)
- Check transaction fees in transaction builder (#669)
- Display progress bar when indexing (#668)
- Send ordinal first in recipient output (#666)
- Add doc-comment to transaction builder (#663)
- Change feerate to 1 sat/vbyte (#664)
- Strip excess postage from end of output (#662)
- Download logs to tempdir (#656)
- Improve transaction builder checks (#661)
- Use redb's two-phase write strategy in production (#660)
- Replace `Result<()>` with `Result` (#657)
- Add fee when sending (#655)
- Make table names more explicit (#654)
- Fix race condition in commit test (#651)
- Reform `ord wallet send` (#648)
- Use https://signet.ordinals.com as default signet publish URL (#649)
- Append network to data dir (#650)
- Only commit when necessary (#647)
- Make rarity text white (#644)
- Link to ordinal from rune (#643)
- Show inscriptions on /ordinal (#645)
- Document search (#646)
- Check that RPC server is on correct network (#642)
- Add /input page (#639)
- Expand search box to fill available space (#633)
- Add `ord rune publish` command (#637)
- Add links to docs (#635)
- Use docs for name of workflow and directory (#632)
- Remove multilingual book config key (#631)
- Add `ord wallet send` (#618)
- Streamline roadmap (#628)
- Improve styling (#626)
- Fix book publish directory (#625)
- Convert docs from Zola to mdBook (#623)
- Add nav bar (#614)
- Add status header to homepage (#620)
- Update roadmap (#617)
- Use reduced database durability during tests (#621)
- Add /rare.txt (#619)
- Embellish block page (#605)
- Refactor server error handling (#607)
- Profile tests (#608)
- Display ranges with an en dash (#606)
- Display more information homepage (#610)
- Remove prime trait (#612)
- Sort ordinal properties (#609)
- Add dark mode (#611)
- Add more help text to CLI (#613)
- Expand ordinal hunting guide (#600)
- Embellish transaction page (#602)
- Add `ord wallet list` command (#601)
- Ignore temporary directory (#594)
- Add ordinal hunting how-to docs page (#596)
- Fix bounty example links (#595)

[0.0.5](https://github.com/casey/ord/releases/tag/0.0.5) - 2022-10-02
---------------------------------------------------------------------

- Add bitcoin.conf (#592)
- Add uncommon ordinal bounty (#588)
- Show output size on output page (#590)
- Implement `wallet identify` (#586)
- Report integration test times (#587)
- Show message when output couldn't be listed because it was spent (#585)
- Add server integration test (#583)
- Use constants from rust-bitcoin (#564)
- Update dependencies (#582)
- Move bounties into subpages (#576)
- Convert last find integration test to unit test (#580)
- Make index::custom_index_size test faster (#579)
- Make info::basic test faster (#578)
- Convert list unit tests to inegration tests (#572)
- Add prime trait (#563)
- Rename workflow jobs (#575)
- Convert some find integration tests to unit tests (#571)
- Remove /clock.svg route (#573)
- Fix test bitcoin core rpc server compilation (#570)
- Move test Bitcoin Core RPC server into sub-crate (#569)
- Remove spent output test (#568)
- Remove find-by-slot tests (#567)
- Remove BDK wallet (#566)
- Show if a reorg has happened on /status (#518)
- Convert block and transaction integration tests to unit tests (#560)
- Fix release script (#562)

[0.0.4](https://github.com/casey/ord/releases/tag/0.0.4) - 2022-09-26
---------------------------------------------------------------------

- Add more links and labels to clocks (#552)
- Add script to deploy dev server on production machines (#550)
- Update redb to 0.7.0 (#559)
- Don't block server on index (#551)
- Allow searching for block hashes, txids, and outputs things (#549)
- Convert more integration tests to unit tests (#548)
- Make range integration tests faster (#547)
- Add roadmap (#546)
- Convert some integration tests to unit tests (#544)
- Sync index on `Index::open` (#545)
- Make some tests faster (#543)
- Add search-by-path endpoint at /search/QUERY (#521)
- Note why unit tests should use regtest network (#539)
- Use --chain regtest to speed up unit tests (#538)
- Add attributes to search box (#520)
- Fix off-by-some --height-limit bug (#526)
- Count total number of outputs traversed when building index (#525)
- Use boilerplate 0.2.0 (#531)
- Add favicon to docs.ordinals.com (#530)
- Move docs to GitHub Pages (#515)
- Bounty 1 claimed! (#529)
- Use fixed-size index keys and values. (#516)
- Update dependencies (#519)
- Log retry interval (#509)
- Retry with exponential backoff on RPC errors during indexing (#508)
- Include outpoint in missing outpoint message (#506)
- Link to clock from home page (#499)
- Pass benchmark dir name in justfile recipe (#498)
- Improve benchmark (#497)
- Commit every 1000 blocks instead of every block (#496)
- Improve benchmark script (#493)
- Add colors and tooltips to clock (#476)
- Block height to clock (#477)
- Add benchmark script (#488)
- Add flamegraph recipe (#486)
- Fix degree parsing (#485)
- Add search box to homepage (#479)
- Add shell.nix (#475)
- Fix indentation in test-deploy recipe (#474)
- Document how to turn on logging (#464)
- Add contribution advice to readme (#460)
- Increase default maximum index size for non-regtest chains (#448)
- Remove old NFT mint and verify commands (#418)
- Update readme (#399)
- Allow serving HTTP and HTTPS simultaneously (#359)
- Prevent ordinals that are being sent from being spent as fees (#369)
- Add error on None case for special_ordinals (#382)
- Guard against invalid percentiles (#380)
- Add percentile representation (#378)
- Make --acme-contact optional (#379)
- Improve names for a couple of properties (#377)
- [bin/graph] Skip previous syncs (#376)
- Add graph recipe (#375)
- Log ord by default (#374)
- Don't write to OUTPOINT_TO_TXID table (#373)
- Change just recipe to log main instance by default (#372)
- Add bounty 1 (#370)
- Don't hardcode cookie file in deploy script (#367)
- Remove comments from service files (#368)
- Add special ordinal protection (#357)
- Add defaults for --acme-cache and --acme-domain (#364)
- Read cookie file from --bitcoin-data-dir (#365)
- Pass network to deploy scripts (#366)
- Put .hushlogin in correct location (#363)
- Pass domain to deploy scripts (#361)
- Suppress login messages (#360)
- Disable password auth on deploy (#358)
- Improve deploy scripts (#342)
- Tick tock next block (#355)
- Add `ord wallet identify` (#304)
- Note bounty #0 has been claimed (#356)
- Remove unused CSS font-family (#354)
- Use rustl-acme acceptor (#289)
- Display hashes, ranges, and outputs in monospace (#353)
- Improve <ol> style (#352)
- Add temporary favicon (#351)
- Make deploys faster (#350)
- Color blocks on homepage by rarity (#349)
- Rarity-color ranges in outputs and link to first ordinal in ranges (#348)
- Remove slide deck (#346)
- Switch to one-at-a-time bounties (#347)
- Add better message for spent outputs (#345)
- Use <ol> for homepage (#343)
- Remove GitHub pages directory (#344)
- Rename / page from "root" to "home" (#341)
- Remove sleeps from server tests (#340)
- Add space around nav items (#338)
- Style links (#337)
- Add FAQ and bounty (#339)
- Add links to homepage (#335)
- Styling (#333)
- Remove fluff from BIP (#336)
- Remove old comment from bitcoind.service (#334)
- Add viewport meta tag (#332)
- Add rarity colors (#330)
- Don't let ordinals become telephone numbers (#331)
- Add next and prev links to /ordinal (#329)
- Fix broken link (#328)
- Add header to /range (#325)
- Fix off by one bug in index::blocks (#326)
- Add header to /output (#324)
- Limit blocks (#320)
- Add header to /tx (#322)
- Add header to /block/HASH (#321)
- Convert / to boilerplate template (#317)
- Return BlockHash from Index::all (#319)
- Don't warn about installing bitcoind in deploy/setup (#318)
- Improvements (#298)
- Update rust toolchain when deploying (#311)
- Fix forbidden word check (#313)
- Don't run integration tests on MacOS CI (#316)
- Disable redb checksums (#315)
- Pay a fixed fee when sending transactions (#314)
- Refactor duplicate blockchain code in purse (#312)
- Add `ord wallet send` (#305)
- Add wallet balance subcommand (#271)
- Add wallet utxos subcommand (#259)
- Use bitcoin core node for integration tests (#263)
- List transaction outputs (#292)
- Add `/output/:outpoint` endpoint (#293)
- Add /range/:start/:end endpoint (#291)
- Move /list endpoint to /api/list (#288)
- List block transactions at `/block/:hash` (#286)
- Display ordinals at `/ordinal/:ordinal` (#287)
- Wait for bitcoind and ord to become available (#285)
- List blocks on root page (#276)
- Remove user-facing list page (#275)
- Add network option (#274)
- Serve HTTPS with ACME certs (#256)
- Remove unused functionality (#270)
- Revise homepage (#268)
- Link to blog post (#267)
- Use hour, minute, second, and third terminology (#262)
- Allow passing ordinals in degree and decimal notation (#261)
- Update dependencies (#258)
- Make genesis sat mythic (#260)
- Add wallet (#233)
- Overhaul traits (#255)
- Clarify duplicate transaction rule in BIP (#254)
- Purge LMDB (#231)
- Add justfile with commands for moving ordinals around manually (#238)
- Add links to discord server (#237)
- Make `nft verify` take input as argument (#235)
- Add --version flag (#236)
- Bump version: 0.0.2 → 0.0.3 (#234)
- Change deploy target in recipe (#232)
- Use default port and set ambient capabilities in ord service (#230)
- Test deploy on vagrant (#229)
- Update slide deck (#227)
- Add link to video (#226)
- Separate deck pages (#225)
- Fix docs HTML (#224)
- Add side deck (#223)
- Change slot notation to AxBxCxD (#222)
- Improve NFT encoding (#221)
- Remove use of sha256d in signature algorithm (#219)
- Use standard formats (#218)
- Use CBOR for serialization/deserialization (#217)
- Add nix flake (#214)
- Build binaries for releases (#213)

[0.0.1](https://github.com/casey/ord) - 2022-06-05
---------------------------------------------------------------------

- Add commands to mint and verify NFTs (#211)
- Add legendary sat location hints (#208)
- Re-implement find (#206)
- Add explanation to bounty page (#205)
- Change bounty dir to bounties (#204)
- Add ordinal bounty page (#203)
- Add drawbacks section to BIP (#202)
- Remove log spam (#200)
- Don't reopen LMDB databases (#201)
- Add serve recipe (#199)
- Continuously index ranges (#198)
- Add about page to website (#197)
- Put script tag in <head> (#195)
- Add list form (#194)
- Run server command (#193)
- Remove find command and KEY_TO_SATPOINT table (#192)
- Make checkout script check out correct branch (#191)
- Add server subcommand (#185)
- Use anyhow to add context to error messages (#184)
- Automate deployment (#187)
- Add ordinals.com website source (#186)
- Add LMDB database backend (#177)
- Link to project board in readme (#176)
- Test null outputs and inputs (#169)
- Log transaction indexing (#168)
- Remove the acknowledgements section since it's still a draft (#164)
- Add index size to info subcommand (#162)
- Document duplicate txid behavior (#161)
- Update redb 0.0.5 (#160)
- Document terminology and notation (#158)
- Describe dust output avoidance workaround (#156)
- Improve readme (#154)
- Improve find height check (#150)
- Use index for find queries (#149)
- Note that LN cannot be used to transfer individual ordinals (#147)
- Print block transaction count (#146)
- Use clap instead of structopt (#145)
- Incremental indexing (#141)
- Use human readable byte values for info (#144)
- Add info subcommand (#138)
- Accept human readable --index-size values (#142)
- Use redb::TableDefinition (#143)
- Work with live Bitcoin Core RPC API (#140)
- Use JSON RPC API  instead of blocksdir(#139)
- Test mining and spending transactions in the same block (#136)
- Don't recreate db every run (#131)
- Fix off by one error in log message (#135)
- Improve index performance (#134)
- Reference independent invention (#133)
- Decode block header only in Index::index_blockfiles (#132)
- Add index benchmark (#111)
- Mention physical transfer of ordinals (#130)
- Reorder BIP sections (#129)
- Add applications section to BIP (#127)
- Add initial draft of BIP (#117)
- Test that index handles out-of-order blockfiles (#124)
- Test fee assignment (#122)
- Test underpaying subsidy (#121)
- Allow setting index size (#120)
- Use redb 0.0.4 (#114)
- Add duplicate transaction range test (#113)
- Split up Index::index_blockfiles (#96)
- Allow invalid ordinals (#95)
- Don't hardcode genesis block (#91)
- Rename index_blockfile to index_blockfiles (#90)
- Pin redb to GitHub revision to avoid panic (#89)
- Log progress while indexing (#88)
- Index all files in blocksdir (#87)
- Fix crash when indexing a block with no transactions (#86)
- Refactor test API (#82)
- More integration test cleanup (#70)
- Refactor test block creation (#68)
- Improve index (#60)
- Add `index.redb` to gitignore (#58)
- Make find command print satpoints instead of outpoints (#57)
- Improve transfer algorithm pseudocode (#53)
- Add epoch trait (#51)
- Use strong types (#48)
- Add Index struct (#47)
- Use ordinal number terminology (#46)
- Number satoshis in ascending order (#45)
- Use default location if `--blocksdir` is not provided (#42)
- Update dependencies (#40)
- Create illusive and cursed traits (#36)
- Add character trait (#35)
- Add open questions to readme (#34)
- Use descending numbering scheme (#33)
- Handle out-of-bound values (#30)
- Add yet more traits (#29)
- Add shiny trait (#28)
- Add command to find satoshi with a given name (#27)
- Add more traits (#25)
- Add traits (#24)
- Add readme and refactor code (#22)
- Rename to sat-tracker (#21)
- Start new sat-based implementation (#20)
- Add justfile and catalog recipe (#12)
- Organize code (#10)
- Add supply command (#9)
- Track atom locations (#2)
- Add Rust binary and CI workflow (#1)
- Add readme
