use super::*;

pub(crate) struct Rtx<'a>(pub(crate) redb::ReadTransaction<'a>);

impl Rtx<'_> {
    pub(crate) fn height(&self) -> Result<Option<Height>> {
        Ok(self
            .0
            .open_table(HEIGHT_TO_BLOCK_HASH)?
            .range(0..)?
            .rev()
            .next()
            .map(|(height, _hash)| Height(height.value())))
    }

    pub(crate) fn block_count(&self) -> Result<u64> {
        Ok(self
            .0
            .open_table(HEIGHT_TO_BLOCK_HASH)?
            .range(0..)?
            .rev()
            .next()
            .map(|(height, _hash)| height.value() + 1)
            .unwrap_or(0))
    }
}
